Name:           enlightenment
Version:        0.16.999.043
Release:        3%{?dist}
Summary:        Enlightenment DR17 - a next generation desktop shell

Group:          User Interface/Desktops
License:        MIT
URL:            http://enlightenment.org/p.php?p=about/e17&l=en
Source0:        http://download.enlightenment.org/snapshots/2008-05-19/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel libXext-devel pkgconfig gettext
BuildRequires:  eet-devel embryo-devel evas-devel ecore-devel edje-devel
BuildRequires:  efreet-devel e_dbus-devel pam-devel

%description
Enlightenment 0.17 is the next generation of UNIX graphical environments. It is
not just a window manager, but it is also a desktop shell. A desktop shell
means, a window manager plus a file manager, plus configuration utilitys all in
one. They are not separated as usual.

Enlightenment is fast. No, really. It's fast. It is known to run on very slow
machines (like 100 Mhz CPU, 64 MB of RAM) well. So you really don't need a
modern desktop to see some eye-candy and to use a modern graphical environment.
Even more – you can control how fast you want it by using it's Performance
configuration panel to change the cache settings and more.

The high performance does not mean that there is no eye candy. There is eye
candy that you have never seen before. Starting from the animated boot screen,
to continue with the all animations and effects that themes could provide, to
end up with fancy animated backgrounds. But not some huge .GIF files, but
really nice animations. Every virtual desktop (at the moment you can have 24)
can have it's own background (animated or not), so you can put different
wallpapers on the different virtual desktops. There are a number of effects
that can be shown when you switch from the different virtual desktops. The
menus, the borders and all other usual parts of a normal window manager are
animated as well as some of the widgets (the sliders, for example). Remember
that those effects are provided by the theme, so every theme makes E to look
different, with different effects, look and feel and animations.

As we already mentioned, E17 provides a file manager as well. Of the time of
writing, it is not completed and is in active development (as E17 as a whole
itself), but after it is finished it will be a very nice, configurable and eye
candy. Even right now, you can do the basic things with it – browse, copy,
move, delete files. It will provide thumbnails for your pictures and will be
able to open your files with the coresponding application of your choice.

E17 is highly configurable. Currently it has a nice configuration panel with
dialogs for all kinds of things. You can change your wallpaper or your theme,
your fonts, your screen resolution, your screen's power settings, your keyboard
and mouse settings, the language that Enlightenment talks to you, and so on.
You can contol almost every apsect of what E is doing and how. It will do what
you want it to do.

As you already know, Enlightenment 0.17 has lots of features, but one of the
most important is, that you can add and remove functionality by using modules.
Modules are small applications that extend E17. There can be modules tho show
you the weather outside, or calendar modules, or modules to control your volume
or whatever you may think. Developing a module is not that hard, so, if you
have programming skills, you are more than welcome to develop and maintain some
modules for the community.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       eet-devel evas-devel ecore-devel edje-devel e_dbus-devel
Requires:       pkgconfig efreet-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
# strip out bundled vera font, it doesn't support national glyphs
rm -r data/fonts
sed -i \
  -e '\|CONFIG_FILES="\$CONFIG_FILES data/fonts/Makefile"|d' \
  -e 's|data/fonts/Makefile||' \
  configure #; chmod +x configure
sed -i -e 's|fonts||' data/Makefile.in
# remove font aliases to make edje fall back to default font (dejavu)
sed -i -e '\|\.ttf|d' data/{init,themes}/default.edc
# backport enlightenment.pc.in fix from trunk
sed -i -e 's|Libs:\ .*$|Libs: -L${libdir}|' enlightenment.pc.in


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
# config.h is used only while building E itself
sed -i -e '\|#include\ "config.h"|d' $RPM_BUILD_ROOT%{_includedir}/%{name}/e.h
find $RPM_BUILD_ROOT -name '*.la' -delete
# remove improperly placed docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/AUTHORS
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/COPYING
# remove enlightenment_sys which is broken anyway
rm -rf $RPM_BUILD_ROOT%{_bindir}/%{name}_sys
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/sysactions.conf
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-PLAIN README
%{_bindir}/%{name}
%{_bindir}/%{name}_*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/xsessions/%{name}.desktop


%files devel
%defattr(-,root,root,-)
# originally improperly placed docs
%doc doc/*.txt doc/*.html doc/*.png
%{_bindir}/%{name}-config
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Aug 30 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.16.999.043-3
- One more directory ownership fix
- Backported enlightenment.pc.in from trunk
- Strip unneeded config.h include from e.h

* Sat Jul 26 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.16.999.043-2
- Added missing efreet-devel require to enlightenment-devel
- Removed broken enlightenment_sys
- Removed more improperly placed docs
- Fixed directory ownership

* Mon May 20 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.16.999.043-1
- Initial specfile for Enlightenment
